/*
 * Created on 2005/01/24
 *
 */
package jnet.application.gui;

import javax.swing.JPanel;

import java.awt.GridLayout;
import javax.swing.JLabel;
import javax.swing.JComboBox;

import jnet.hiromicam.properity.SystemProperty;
/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SettingSystemPanel extends JPanel {
	
	/**
	 * height size of this panel.
	 */
	public static final int PANEL_HEIGHT = 20;
	
	/**
	 * width size of this pnanel.
	 */
	public static final int PANEL_WIDTH = 240;
	
	private String[] serialPortNumber = {"COM1",
										  "COM2",
										  "COM3",
										  "COM4",
	};

	private JLabel jLabel = null;
	private JComboBox jComboBox = null;
	/**
	 * This is the default constructor
	 */
	public SettingSystemPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		jLabel = new JLabel();
		GridLayout gridLayout1 = new GridLayout();
		this.setLayout(gridLayout1);
		this.setSize(250,20);
		gridLayout1.setRows(1);
		gridLayout1.setColumns(2);
		jLabel.setText("SerialPort");
		jLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		this.add(jLabel, null);
		this.add(getJComboBox(), null);
	}
	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */    
	private JComboBox getJComboBox() {
		if (jComboBox == null) {
			jComboBox = new JComboBox();
			jComboBox.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			jComboBox.addItemListener(new java.awt.event.ItemListener() { 
				public void itemStateChanged(java.awt.event.ItemEvent e) {    
					// change serial port number.
					if (jComboBox.getSelectedItem() == serialPortNumber[0]) {
						SystemProperty.getInstance().setSerialPortNumber(serialPortNumber[0]);
					} else if (jComboBox.getSelectedItem() == serialPortNumber[1]) {
						SystemProperty.getInstance().setSerialPortNumber(serialPortNumber[1]);
					} else if (jComboBox.getSelectedItem() == serialPortNumber[2]) {
						SystemProperty.getInstance().setSerialPortNumber(serialPortNumber[2]);
					} else if (jComboBox.getSelectedItem() == serialPortNumber[3]) {
						SystemProperty.getInstance().setSerialPortNumber(serialPortNumber[3]);
					}
				}
			});
		}
		// add item.
		for (int i = 0; i < serialPortNumber.length; i++) {
			jComboBox.addItem(serialPortNumber[i]);
		}
		return jComboBox;
	}
 }
