/*
 * Created on 2005/01/23
 *
 */
package jnet.application.gui;

import javax.swing.JPanel;

import javax.swing.JDesktopPane;
/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SettingTabPanel extends JPanel {

	private SettingSystemPanel settingSystemPanel = null;
	private SettingViewerPanel settingViewerPanel = null;
	private JDesktopPane jDesktopPane = null;
	/**
	 * This is the default constructor
	 */
	public SettingTabPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setLayout(null);
		this.setSize(250,330);
		this.add(getJDesktopPane(), null);
	}
	/**
	 * This method initializes settingSystemPanel	
	 * 	
	 * @return jnet.application.gui.SettingSystemPanel	
	 */    
	private SettingSystemPanel getSettingSystemPanel() {
		if (settingSystemPanel == null) {
			settingSystemPanel = new SettingSystemPanel();
			settingSystemPanel.setBounds(0, 0, 
										 SettingSystemPanel.PANEL_WIDTH,
										 SettingSystemPanel.PANEL_HEIGHT);
		}
		return settingSystemPanel;
	}
	/**
	 * This method initializes settingViewerPanel	
	 * 	
	 * @return jnet.application.gui.SettingViewerPanel	
	 */    
	private SettingViewerPanel getSettingViewerPanel() {
		if (settingViewerPanel == null) {
			settingViewerPanel = new SettingViewerPanel();
			settingViewerPanel.setBounds(0,
										 SettingSystemPanel.PANEL_HEIGHT,
										 SettingViewerPanel.PANEL_WIDTH,
										 SettingViewerPanel.PANEL_HEIGHT);
		}
		return settingViewerPanel;
	}
	/**
	 * This method initializes jDesktopPane	
	 * 	
	 * @return javax.swing.JDesktopPane	
	 */    
	private JDesktopPane getJDesktopPane() {
		if (jDesktopPane == null) {
			jDesktopPane = new JDesktopPane();
			jDesktopPane.setBounds(1, 1, 249, 329);
			jDesktopPane.add(getSettingSystemPanel(), null);
			jDesktopPane.add(getSettingViewerPanel(), null);
		}
		return jDesktopPane;
	}
   }
