/*
 * Created on 2005/01/24
 *
 */
package jnet.application.gui;

import javax.swing.JPanel;

import java.awt.GridLayout;
import javax.swing.JLabel;
import javax.swing.JComboBox;
import javax.swing.JCheckBox;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SettingViewerPanel extends JPanel {
	/**
	 * height size of this panel.
	 */
	public static final int PANEL_HEIGHT = 80;
	
	/**
	 * width size of this pnanel.
	 */
	public static final int PANEL_WIDTH = 240;
	
	private String[] viewRange = {"50", "100", "500", "1000"};
	
	private String[] targetSize = {"default", "Small", "Big"};

	private JLabel jLabel = null;
	private JLabel jLabel1 = null;
	private JComboBox jComboBox = null;
	private JComboBox jComboBox1 = null;
	private JCheckBox jCheckBox = null;
	private JCheckBox jCheckBox1 = null;
	private JCheckBox jCheckBox2 = null;
	/**
	 * This is the default constructor
	 */
	public SettingViewerPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		jLabel1 = new JLabel();
		jLabel = new JLabel();
		GridLayout gridLayout3 = new GridLayout();
		this.setLayout(gridLayout3);
		this.setSize(250,200);
		gridLayout3.setRows(4);
		gridLayout3.setColumns(2);
		jLabel.setText("ViewRange");
		jLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		jLabel1.setText("TargetSize");
		jLabel1.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		this.add(jLabel, null);
		this.add(getJComboBox(), null);
		this.add(jLabel1, null);
		this.add(getJComboBox1(), null);
		this.add(getJCheckBox(), null);
		this.add(getJCheckBox1(), null);
		this.add(getJCheckBox2(), null);
	}
	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */    
	private JComboBox getJComboBox() {
		if (jComboBox == null) {
			jComboBox = new JComboBox();
			jComboBox.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			jComboBox.addItemListener(new java.awt.event.ItemListener() { 
				public void itemStateChanged(java.awt.event.ItemEvent e) {    
					// change view range
					if (jComboBox.getSelectedItem() == viewRange[0]) {
						Viewer.getInstance().setRadiusSize(Double.parseDouble(viewRange[0]));
					} else if (jComboBox.getSelectedItem() == viewRange[1]) {
						Viewer.getInstance().setRadiusSize(Double.parseDouble(viewRange[1]));
					} else if (jComboBox.getSelectedItem() == viewRange[2]) {
						Viewer.getInstance().setRadiusSize(Double.parseDouble(viewRange[2]));
					} else if (jComboBox.getSelectedItem() == viewRange[3]) {
						Viewer.getInstance().setRadiusSize(Double.parseDouble(viewRange[3]));
					}
					Viewer.getInstance().repaint();
				}
			});
		}
		for (int i = 0; i < viewRange.length; i++) {
			jComboBox.addItem(viewRange[i]);
		}
		return jComboBox;
	}
	/**
	 * This method initializes jComboBox1	
	 * 	
	 * @return javax.swing.JComboBox	
	 */    
	private JComboBox getJComboBox1() {
		if (jComboBox1 == null) {
			jComboBox1 = new JComboBox();
			jComboBox1.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			jComboBox1.addItemListener(new java.awt.event.ItemListener() { 
				public void itemStateChanged(java.awt.event.ItemEvent e) {    
					// change target size
					if (jComboBox1.getSelectedItem() == targetSize[0]) {
						Viewer.getInstance().setTargetSize(8);
					} else if (jComboBox1.getSelectedItem() == targetSize[1]) {
						Viewer.getInstance().setTargetSize(5);
					} else if (jComboBox1.getSelectedItem() == targetSize[2]) {
						Viewer.getInstance().setTargetSize(12);
					}
					Viewer.getInstance().repaint();
				}
			});
		}
		
		// adding item
		for (int i = 0; i < targetSize.length; i++) {
			jComboBox1.addItem(targetSize[i]);
		}
		return jComboBox1;
	}
	/**
	 * This method initializes jCheckBox	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */    
	private JCheckBox getJCheckBox() {
		if (jCheckBox == null) {
			jCheckBox = new JCheckBox();
			jCheckBox.setText("Description");
			jCheckBox.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		}
		return jCheckBox;
	}
	/**
	 * This method initializes jCheckBox1	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */    
	private JCheckBox getJCheckBox1() {
		if (jCheckBox1 == null) {
			jCheckBox1 = new JCheckBox();
			jCheckBox1.setText("Map");
			jCheckBox1.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		}
		return jCheckBox1;
	}
	/**
	 * This method initializes jCheckBox2	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */    
	private JCheckBox getJCheckBox2() {
		if (jCheckBox2 == null) {
			jCheckBox2 = new JCheckBox();
			jCheckBox2.setText("Building");
			jCheckBox2.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		}
		return jCheckBox2;
	}
      }
