/*
 * Created on 2005/01/23
 *
 */
package jnet.application.gui;

import javax.swing.JPanel;

import java.awt.FlowLayout;
import javax.swing.JDesktopPane;
/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class ViewerTabPanel extends JPanel {

	private JDesktopPane jDesktopPane = null;
	private ViewerControlPanel viewerControlPanel = null;
	static private Viewer viewer = null;
	/**
	 * This is the default constructor
	 */
	public ViewerTabPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setLayout(new FlowLayout());
		this.setSize(250,330);
		this.setPreferredSize(new java.awt.Dimension(250,330));
		this.add(getJDesktopPane(), null);
	}
	/**
	 * This method initializes jDesktopPane	
	 * 	
	 * @return javax.swing.JDesktopPane	
	 */    
	private JDesktopPane getJDesktopPane() {
		if (jDesktopPane == null) {
			jDesktopPane = new JDesktopPane();
			jDesktopPane.setPreferredSize(new java.awt.Dimension(250,300));
			jDesktopPane.add(getViewerControlPanel(), null);
			jDesktopPane.add(getViewer(), null);
		}
		return jDesktopPane;
	}
	/**
	 * This method initializes viewerControlPanel	
	 * 	
	 * @return jnet.application.gui.ViewerControlPanel	
	 */    
	private ViewerControlPanel getViewerControlPanel() {
		if (viewerControlPanel == null) {
			viewerControlPanel = new ViewerControlPanel();
			viewerControlPanel.setBounds(0, 0, (int)ViewerControlPanel.WINDOW_WIDTH, (int)ViewerControlPanel.WINDOW_HEIGHT);
		}
		return viewerControlPanel;
	}
	/**
	 * This method initializes viewer	
	 * 	
	 * @return jnet.application.gui.Viewer	
	 */    
	private Viewer getViewer() {
		if (viewer == null) {
			viewer = Viewer.getInstance();
			viewer.setBounds(5, (int)ViewerControlPanel.WINDOW_HEIGHT,
					         (int)Viewer.WINDOW_SIZE, (int)Viewer.WINDOW_SIZE);
		}
		return viewer;
	}
	
	/**
	 * This method returns viewer instance.
	 * 
	 * @return instance of viewer.
	 */
	public static Viewer getViewerInstance() {
		return viewer;
	}
  }
