/*
 * Created on 2005/01/24
 *
 */
package jnet.application.util;

import jnet.application.gui.Viewer;
import jnet.application.gui.ViewerTabPanel;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class GUIInterface {
	/**
	 * instance of this class.
	 */
	private static GUIInterface guiInterface = new GUIInterface();
	
	/**
	 * nobady can create instance of this class from a constractor.
	 *
	 */
	private GUIInterface() {
		
	}
	
	/**
	 * This method is for getting instance.
	 * 
	 * @return instance of this class.
	 */
	public static GUIInterface getInstance() {
		return guiInterface;
	}
	
	/**
	 * This method returns Viewer instance.
	 * 
	 * @return instance of Viewer.
	 */
	public Viewer getViewer() {
		return ViewerTabPanel.getViewerInstance();
	}
}
