/*
 * Created on 2005/01/20
 *
 */
package jnet.hiromicam.msg;

/**
 * This is Message interface.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public interface Msg {
	/**
	 * This represents error of message type.
	 */
	int ERROR_OF_MESSAGE_TYPE = 0;
	
	/**
	 * This represents First-Level Information.
	 */
	int FIRSTLEVEL_INFO = 1;
	
	/**
	 * This represents low level information.
	 */
	int SECOND_LEVEL_INFO = 2;
	
	/**
	 * This represents tag of XML headder.
	 */
	String XML_HEADDER = "<?xml version=\"1.0\"?>";
	
	/**
	 * This represents tag of First-Level Information.
	 */
	String FIRST_LEVEL_INFO_TAG = "hiromicam:FirstLevelInfo";
	
	/**
	 * This represents tag of low level information.
	 */
	String SECOND_LEVEL_INFO_TAG = "hiromicam:SecondLevelInfo";
	
	/**
	 * This represents tag of IP Address.
	 */
	String IP_ADDRESS_TAG = "IP_Address";
	
	/**
	 * This represents tag of HostName.
	 */
	String HOSTNAME_TAG = "HostName";
	
	/**
	 * tag of state of this temrinal.
	 */
	String ABNORMAL = "Abnormal";
	
	/**
	 * tag of state of this terminal.
	 */
	String NORMAL = "Normal";
	
	/**
	 * This method return MessageType
	 * 
	 * @return MessageType
	 */
	int getMsgType();
	
	/**
	 * This method return Message in XML.
	 *  
	 * @return Message in XML
	 */
	String getMsg();
	
	
}
